Skip to content

lt_float

Returns all stories with a field value lower than the provided value.

This operation can be used for Number fields or Text fields with a float value. Moreover, it can be used for custom fields returning a float value.

filter_query[price][lt_float]=119.99
Returns all stories with a price lower than 119.99.

filter_query[price][lt_float]=1199.99
Returns all stories with a price lower than 1199.99. Please note the absence of a thousand separator.

The following example demonstrates how to receive all stories with a price lower than 2.24 using the lt_float operation.

curl "https://api.storyblok.com/v2/cdn/stories\
?token=ask9soUkv02QqbZgmZdeDAtt\
&filter_query%5Bprice%5D%5Blt_float%5D=2.24\
&starts_with=products"
Response
{
"stories": [
{
"name": "Paper",
"created_at": "2018-12-10T17:50:54.023Z",
"published_at": "2026-10-08T10:41:38.107Z",
"updated_at": "2026-10-08T10:41:38.122Z",
"id": 461934,
"uuid": "7b372086-0c79-4890-9f01-2e6e41098f87",
"content": {
"_uid": "5bbcd6f0-494a-42bd-b135-a1f7216c27ce",
"link": {
"id": "",
"url": "",
"linktype": "story",
"fieldtype": "multilink",
"cached_url": ""
},
"name": "Paper",
"image": "//a.storyblok.com/f/44203/4032x3024/747174042a/paper.jpg",
"price": "1.24",
"featured": false,
"component": "product",
"description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. In erat mauris, faucibus quis pharetra sit amet, pretium ac libero. Etiam vehicula eleifend bibendum."
},
"slug": "paper",
"full_slug": "products/paper",
"sort_by_date": null,
"position": -20,
"tag_list": [],
"is_startpage": false,
"parent_id": 461931,
"meta_data": null,
"group_id": "16ccf4be-0c7d-4129-b45a-9e10cf40221c",
"first_published_at": "2018-12-10T17:51:04.000Z",
"release_id": null,
"lang": "default",
"path": null,
"alternates": [],
"default_full_slug": null,
"translated_slugs": null
}
],
"cv": 1792742236,
"rels": [],
"links": []
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.